---
type: api
title: Promote a coordinator candidate
description: Promotes a coordinator candidate.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-promote-coordinator-candidate
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-promote-coordinator-candidate
products:
  - Elastic Cloud Enterprise
---

# Promote a coordinator candidate

## Paths

- `POST` `/platform/infrastructure/coordinators/candidates/{coordinator_candidate_id}/_promote`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

#### Path Parameters

- `coordinator_candidate_id` (string)
  The identifier for the coordinator candidate

## Description

Promotes a coordinator candidate.

## Responses

#### `202`

Accepted promote of coordinator candidate.

`application/json`

- `name` (string)
  Name of this coordinator candidate.
- `public_hostname` (string)
  Public hostname of this coordinator candidate
- `acl` ({} ZkAcl)
  Represents a Zookeeper ACL permission
  - `perms` (integer)
    ZK static permissions for admin/all/create/read/write/delete
  - `scheme` (string)
    Zookeeper ACL scheme
  - `id` (string)
    Identity within provided scheme
- `id` (integer)
  Zookeeper server identifier corresponding to this coordinator candidate
- `attributes` (map string to string)
  Attributes of this coordinator candidate
- `state` (enum)
  State of the candidate
  Values: `accepted`, `pending`
#### `404`

Unable to find coordinator candidate {coordinator_id}. Edit your request, then try again. (code: `coordinators.candidate_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
POST /platform/infrastructure/coordinators/candidates/{coordinator_candidate_id}/_promote
```

#### curl

```curl
curl -X POST "/platform/infrastructure/coordinators/candidates/{coordinator_candidate_id}/_promote"
```

